Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class LinearLayer

    java.lang.Object
      org.joone.engine.Layer
          org.joone.engine.SimpleLayer
              org.joone.engine.LinearLayer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Runnable, Learnable, LearnableLayer, NeuralLayer, Inspectable

Direct Known Subclasses:
  SoftmaxLayer

    public class LinearLayer

extends SimpleLayer

The output of a linear layer neuron is the sum of the weighted input values, scaled by the beta parameter. No transfer function is applied to limit the output value

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.engine.Layer
`bias, gradientInps, gradientOuts, inps, inputPatternListeners, learnable, learning, m_batch, monitor, myLearner, outputPatternListeners, outs, running, step, STOP_FLAG`

Constructor Summary
`LinearLayer()` The constructor
`LinearLayer(java.lang.String ElemName)` The constructor

Method Summary
`void` | `backward(double[] pattern)` Reverse transfer function of the component.
`void` | `forward(double[] pattern)` Transfer function to recall a result on a trained net
`double` | `getBeta()` Returns the value of the beta parameter
`java.util.Collection` | `Inspections()` It doesn't make sense to return biases for this layer
`void` | `setBeta(double newBeta)` Sets the beta value

Methods inherited from class org.joone.engine.SimpleLayer
`getLearningRate, getLrate, getMomentum, setDimensions, setLrate, setMomentum, setMonitor`

Methods inherited from class org.joone.engine.Layer
`addInputSynapse, addNoise, addOutputSynapse, adjustSizeToFwdPattern, adjustSizeToRevPattern, check, checkInputEnabled, checkInputs, checkOutputs, copyInto, finalize, fireFwdGet, fireFwdPut, fireRevGet, fireRevPut, fwdRun, getAllInputs, getAllOutputs, getBias, getDimension, getLastOutputs, getLayerName, getLearner, getMonitor, getRows, getThreadMonitor, hasStepCounter, init, initLearner, InspectableTitle, isInputLayer, isOutputLayer, isRunning, join, randomize, removeAllInputs, removeAllOutputs, removeInputSynapse, removeListener, removeOutputSynapse, resetInputListeners, revRun, run, setAllInputs, setAllOutputs, setBias, setConnDimensions, setInputDimension, setInputSynapses, setLayerName, setOutputDimension, setOutputSynapses, setRows, start, stop, sumBackInput, sumInput, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LinearLayer

    public LinearLayer()

  The constructor

### LinearLayer

    public LinearLayer(java.lang.String ElemName)

  The constructor

  Parameters:
    `ElemName` - The name of the Layer

Method Detail

### backward

    public void backward(double[] pattern)

  Description copied from class: `Layer`
  Reverse transfer function of the component.

  Overrides:
    `backward` in class `SimpleLayer`
  Parameters:
    `pattern` - input pattern on which to apply the transfer function

### forward

    public void forward(double[] pattern)

  Description copied from class: `Layer`
  Transfer function to recall a result on a trained net

  Specified by:
    `forward` in class `Layer`
  Parameters:
    `pattern` - input pattern to which to apply the rtransfer function

### getBeta

    public double getBeta()

  Returns the value of the beta parameter

  Returns:
    double - The beta parameter

### setBeta

    public void setBeta(double newBeta)

  Sets the beta value

  Parameters:
    `newBeta` - double

### Inspections

    public java.util.Collection Inspections()

  It doesn't make sense to return biases for this layer

  Specified by:
    `Inspections` in interface `Inspectable`
  Overrides:
    `Inspections` in class `Layer`
  Returns:
    null
  See Also:
    `org.joone.Inspection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net